<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Arquivacertvip extends CI_Controller {

    public function __construct() {
        parent::__construct();
        //session_start();
        $this->seguranca();
        $this->load->library('table');
        $this->load->helper('form');
        $this->load->helper('criptografia');
        $this->load->model('Transacao_model', 'tm');
        $this->load->model('Assinaturas_model', 'a');
        $this->load->model('Usuarios_model', 'um');
	$this->load->model('Certificados_model', 'c');
        $this->load->model('Planos_model', 'p');
	$this->load->model('Cursos_model', 'cm');

        if (!in_array($this->uri->segment(3), array("verifica_transacoes_por_aluno_imazon","verifica_ceritificado_impressso_por_aluno", "ajax_notifica_adm", "verifica_dados_aluno", "alt_dados_aluno"))) {
            $this->load->view('adm/inc/header');
        }
    }

    public function seguranca() {
        if (!isset($_SESSION['nome_facilitador']) && !isset($_SESSION['email_facilitador']) && !isset($_SESSION['login'])) {
            session_destroy();
            redirect('login');
        }
    }

    public function index() {

        $this->load->library('pagination');
	$this->load->library('form_validation');    
        
        $config['base_url']    = base_url() . 'admin/arquivacert';
        $config['per_page'] = 1000;
        $data["por_pagina"] = $config['per_page'];
        @$data["paginas"] = round($config['total_rows']/$config['per_page']);
        $this->pagination->initialize($config);
        $data['paginacao'] = $this->pagination->create_links();
        $this->load->view('adm/tela/arquivacertificadosvip.php', $data);
        $this->load->view('adm/inc/footer');
		
		
		if($_POST){
		$inicio= $this->input->post('dti');
		$fim=$this->input->post('dtf');
		$ass = array('inicio' =>$inicio, 'fim' => $fim);  
		
	
		         
        $var=$this->c->arquivacertvip($ass);
		
		//print_r($var);
			
             $params = array('orientation' => 'L', 'unit' => 'mm', 'size' => 'A4');
                $this->load->library('fpdf', $params);
                $this->fpdf->AliasNbPages();  
		foreach($var as $his){
		         $data['usuario'] = $this->um->get_by_id_fic($his->email)->result();
				 $aulas = $this->cm->get_aulas($his->cedoc_doc_id_fk)->result();
            	 $ementa = null;
            	 $i = 1; //;
            	 $limite = 16;
            foreach ($aulas as $la) {
                if ($i < 16) {
                    $ementa .= nl2br($i . '. ' . ltrim(strtoupper(strtr(strtoupper($la->CATitulo), "àáâãäåæçèéêëìíîï?ñòóôõö÷øùüú?ÿ", "ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏ?ÑÒÓÔÕÖ×ØÙÜÚ?ß"))) . "\n");
                }
                $i++;
            }
			
                 $this->fpdf->AddPage();

            $this->fpdf->Image('imgs/fundo_certificado_imazon.jpg', 1, 1, 270, 'JPG'); //logo

            $this->fpdf->setY("40");

            $this->fpdf->setX("10");

            $this->fpdf->SetFont('Arial', 'B', 18);

            $this->fpdf->Cell(0, 10, utf8_decode('CERTIFICADO DE CONCLUSÃO'), 0, 1, 'C');

            $this->fpdf->SetFont('Arial', '', 16);

            $this->fpdf->Cell(0, 10, 'conferido a', 0, 1, 'C');

            $this->fpdf->SetFont('Arial', 'B', 16);

            $this->fpdf->Cell(0, 10, utf8_decode($data['usuario'][0]->nome), 0, 1, 'C');

            $this->fpdf->SetFont('Arial', '', 16);

            $this->fpdf->Cell(0, 10, utf8_decode('Por ter concluído o Curso Livre '), 0, 1, 'C');

            $this->fpdf->MultiCell(0, 6, utf8_decode($his->nome), 0, 'C');

            $this->fpdf->setY(100);

            $this->fpdf->setX(50);

            $this->fpdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);

            $this->fpdf->setX(50);

            $this->fpdf->Cell(0, 5, 'Aproveitamento: 10,0', 0, 1);
           
            $this->fpdf->setX(50);

            $this->fpdf->Cell(0, 5, utf8_decode('Cert. Nº ' . $his->usuarios_cursos_matriculados_id), 0, 1);

            $this->fpdf->setY(100);

            $this->fpdf->setX(180);

            $this->fpdf->Cell(0, 5,  utf8_decode('Carga Horária: ' . $his->UCMCargaHorariaCertificado . ' Horas'), 0, 1);

            $this->fpdf->setX(180);

            $this->fpdf->Cell(0, 5, 'Data Matricula: ' . @date('d/m/Y', strtotime($his->UCMData)), 0, 1);

            $this->fpdf->setX(180);

            $this->fpdf->Cell(0, 5, utf8_decode('Data Conclusão: ' . @date('d/m/Y', strtotime($his->ultimo_dia))), 0, 1);

            $this->fpdf->SetFont('Arial', '', 16);

            $this->fpdf->SetFont('Arial', '', 16);

            $this->fpdf->SetXY(10, 125);

            $texto = "Base Legal: Lei N° 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º.";

            $texto2 = "Decreto 5154/2004, Art. 3°";

            $this->fpdf->MultiCell(0, 5, utf8_decode($texto), 0, 'C');

            $this->fpdf->MultiCell(0, 5, utf8_decode($texto2), 0, 'C');

            $this->fpdf->SetFont('Arial', 'B', 16);

            $this->fpdf->Cell(430, 18, utf8_decode('Belém, ' . @date("d/m/Y")), 0, 1, 'C');

            $this->fpdf->SetFont('Arial', '', 16);

            $this->fpdf->SetLineWidth(0.2);

            $this->fpdf->Line(30, 170, 125, 170);

            $this->fpdf->SetXY(50, 175);

            $this->fpdf->Cell(0, 1, 'Assinatura do(a) Aluno(a)', 0, 0);


            $this->fpdf->Image('imgs/assinatura.jpg', 200, 150, 40);

            $this->fpdf->Line(180, 170, 265, 170);

            $this->fpdf->SetXY(200, 175);

            $this->fpdf->Cell(0, 1, 'Ezelildo G Dornelas', 0, 0);

            $this->fpdf->SetXY(210, 180);

            $this->fpdf->Cell(0, 1, 'Diretor', 0, 0);
			
			
			$this->fpdf->AddPage();

            $this->fpdf->Image('imgs/fundo_certificado_imazon.jpg', 1, 1, 270, 'JPG'); //logo

            $this->fpdf->SetFont('Arial', 'B', 8);

            $this->fpdf->SetXY(20, 40);

            $this->fpdf->Cell(0, 20, utf8_decode('Conteúdo'), 0, 1, 'L');

            $this->fpdf->SetXY(20, 60);



            $this->fpdf->MultiCell(0, 5, utf8_decode(strip_tags($ementa)));

            $this->fpdf->SetXY(20, 90);

           

            $this->fpdf->SetXY(140, 181);
            $this->fpdf->SetFont('Arial', '', 16);
            $this->fpdf->Cell(0, 2, 'Autenticar em: www.imazoncursos.com.br/autenticacao/', 0, 0);
            
            $this->fpdf->SetXY(140, 187);
            $this->fpdf->SetFont('Arial', '', 16);
            $this->fpdf->Cell(0, 2, utf8_decode('Código de autenticação: ').$his->UCMCertificadoLiberado, 0, 0);
			
			/*

                 
                // Página de Verso	
                $this->fpdf->AddPage();
                $this->fpdf->Image('http://imazoncursos.com.br/imgs/fundo_certificado_imazon.jpg', 1, 1, 270, 'JPG'); //logo
                $this->fpdf->SetFont('Arial', 'B', 8);
                $this->fpdf->SetXY(20, 40);
                $this->fpdf->Cell(0, 20, utf8_decode('Conteúdo'), 0, 1, 'L');
                $this->fpdf->SetXY(20, 60);
				$conteudo=str_replace("â€“", "-",$his->descricao);
				
                $this->fpdf->MultiCell(0, 5, strip_tags(utf8_decode($conteudo)));
                $this->fpdf->SetXY(20, 90);
                $this->fpdf->Image('http://imazoncursos.com.br/imgs/abed.jpg', 236, 36, 30);
                $this->fpdf->SetXY(200, 180);
                $this->fpdf->Cell(0, 2, 'Autenticar em: www.imazoncursos.com.br/autenticacao ', 0, 0);
				 $this->fpdf->SetXY(200, 187);
				$this->fpdf->Cell(0, 2, utf8_decode('Código de Autenticação: ').$his->codigo_autenticacao, 0, 0);
               */

                
	
		}
		$this->fpdf->Output();
		}
		
    }

   
    
}
